"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isExperimentStatusChangedMessage = exports.isConfigurationMessage = exports.isClosePeerConnectionMessage = exports.isSignalingMessage = exports.isCreatePeerConnectionMessage = exports.isCommandMessage = exports.isMessage = void 0;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function isMessage(message) {
    return 'messageType' in message;
}
exports.isMessage = isMessage;
function isCommandMessage(message) {
    return message.messageType === 'command';
}
exports.isCommandMessage = isCommandMessage;
function isCreatePeerConnectionMessage(message) {
    return message.command === 'createPeerconnection';
}
exports.isCreatePeerConnectionMessage = isCreatePeerConnectionMessage;
function isSignalingMessage(message) {
    return message.messageType === 'signaling';
}
exports.isSignalingMessage = isSignalingMessage;
function isClosePeerConnectionMessage(message) {
    return message.command === 'closePeerconnection';
}
exports.isClosePeerConnectionMessage = isClosePeerConnectionMessage;
function isConfigurationMessage(message) {
    return (message.messageType === 'configuration' &&
        typeof message.configuration === 'object' &&
        message.configuration !== null);
}
exports.isConfigurationMessage = isConfigurationMessage;
function isExperimentStatusChangedMessage(message) {
    return (message.messageType === 'experiment-status-changed' &&
        typeof message.status === 'string' &&
        (message.message === undefined || typeof message.message === 'string'));
}
exports.isExperimentStatusChangedMessage = isExperimentStatusChangedMessage;
//# sourceMappingURL=deviceMessages.js.map